Retrieve a payment intent
curl --request GET \
--url https://api.orqex.com/v1/payment/intents/{paymentIntentId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.orqex.com/v1/payment/intents/{paymentIntentId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.orqex.com/v1/payment/intents/{paymentIntentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "pi_7Ba4Xq",
"amount": {
"value": 50,
"formatted": "$50.00",
"short": "$50",
"currency": "USD"
},
"customer": {
"id": "cus_2f8Kd1",
"first_name": "Ada",
"last_name": "Lovelace",
"email": "[email protected]",
"avatar_url": "<string>"
},
"description": "Order #1042",
"return_url": "<string>",
"webhook_url": "<string>",
"statement_descriptor": "<string>",
"receipt_email": "<string>",
"metadata": {},
"refunds_summary": {
"refunded_amount": {
"value": 50,
"formatted": "$50.00",
"short": "$50",
"currency": "USD"
},
"pending_amount": {
"value": 50,
"formatted": "$50.00",
"short": "$50",
"currency": "USD"
},
"refundable_amount": {
"value": 50,
"formatted": "$50.00",
"short": "$50",
"currency": "USD"
},
"has_pending_refund": true
},
"active_attempt": {
"id": "att_9Kd12f",
"method": {
"value": "test",
"label": "<string>",
"description": "<string>",
"icon_url": "<string>",
"category": "<string>",
"requires_phone": true
},
"amount": {
"value": 50,
"formatted": "$50.00",
"short": "$50",
"currency": "USD"
},
"exchange_rate": 123,
"correction_rate": 123,
"gateway": {
"transaction": {
"id": "<string>",
"reference": "<string>",
"external_id": "<string>",
"status": "<string>"
}
},
"next_action": {
"message": "<string>",
"instructions": [
"<string>"
],
"dial_code": "<string>",
"digits": 123,
"is_strict": true,
"fields": [
{}
],
"url": "<string>",
"method": "<string>",
"post_data": {},
"can_auto_redirect": true,
"content": "<string>",
"image_url": "<string>",
"title": "<string>",
"provider": "<string>",
"sdk_url": "<string>",
"public_key": "<string>",
"client_params": {},
"container_id": "<string>"
},
"failure": {
"code": {
"value": "<string>",
"message": "<string>"
},
"message": "<string>"
},
"failover": {
"is_failover": true,
"decision": {}
},
"completed_at": "2023-11-07T05:31:56Z",
"failed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
},
"completed_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Payment intents
Retrieve a payment intent
The authoritative state of a payment. Re-read it before fulfilling.
GET
/
payment
/
intents
/
{paymentIntentId}
Retrieve a payment intent
Was this page helpful?
⌘I